lightify_node Struct Reference
Collaboration diagram for lightify_node:
[legend]

## Data Fields

struct lightify_ctx * | ctx
struct lightify_node * | next
struct lightify_node * | prev
uint64_t | node_address
uint16_t | zone_address
uint16_t | group_address
enum lightify_node_type | node_type
char * | name
int | red
int | green
int | blue
int | white
int | cct
int | brightness
int | is_on
enum lightify_node_online_state | online_status
int | is_stale

## Detailed Description

Information about the nodes (e.g. lamps) kind of cache, will reflet state when last queried.

Definition at line 43 of file node.c.

## Field Documentation

int blue

blue value

Definition at line 65 of file node.c.

int brightness

brightness

Definition at line 69 of file node.c.

int cct

CCT

Definition at line 67 of file node.c.

struct lightify_ctx* ctx

pointer to the context

Definition at line 46 of file node.c.

int green

green value

Definition at line 64 of file node.c.

uint16_t group_address

Group address

Definition at line 55 of file node.c.

int is_on

lamp on/off status. (0=off, 1=on, -1=unknown)

Definition at line 71 of file node.c.

int is_stale

do we have confidence in the node status? Set to 1 if we did not get updated information on this node or a command

Definition at line 77 of file node.c.

char* name

name – 16 bytes max, but we'll allocate memory for it.

Definition at line 61 of file node.c.

struct lightify_node* next

Definition at line 49 of file node.c.

uint64_t node_address

MAC of node

Definition at line 53 of file node.c.

enum lightify_node_type node_type

lamp type

Definition at line 58 of file node.c.

enum lightify_node_online_state online_status

Definition at line 72 of file node.c.

struct lightify_node* prev

Definition at line 50 of file node.c.

int red

red value

Definition at line 63 of file node.c.

int white

white value

Definition at line 66 of file node.c.

uint16_t zone_address

Zone address (16 bit short ZLL address)

Definition at line 54 of file node.c.

The documentation for this struct was generated from the following file:

- src/node.c